/**
 * 项目中所用到的全部常量
 */
export const CODE_REQ_OK = 0 /* 接口返回成功 */
export const CODE_NOT_LOGIN = 3 /* 接口返回未登录code */
export const DEBUG = false /* 全局是否开启console.log()调试 */
export const PULL_DOWN = 1 /* 下拉刷新数据 */
export const PULL_NONE = 2 /* 无上拉或下拉,正常请求数据 */
export const PULL_UP = 3 /* 上拉加载数据 */

/*--------------------------------统计相关--------------------------------*/

// https://docs.qq.com/sheet/DTkl6eU54bUFlSWV2?tab=BB08J2

export const ANALYTIZE_KEYS = [
  'utm_source',
  'utm_medium',
  'utm_term',
  'utm_content',
  'utm_campaign',
  'sourceCode'
] /* 所有参与统计的字段key数组 */

export const ANALYTIZE_PARAMS = {
  tc: 'pc', // 端口code,必传
  pt: 'bbs', // 项目code,必传
  cc: '', // 当前页面code,必传
  ec: 'none', // 入口code,必传
  et: '', // 事件类型（详见备注）,必传, 事件=>点击：click，成功回调：win，注册：register，曝光：show，停留：stay
  bh: 'none', // 行为,非必传, 行为=>注册：behaviorRegister 申请：behaviorApply，无：none
  ui: '', // 用户id,非必传
  ci: '', // 城市id,非必传
  cv: '', // 其他扩展id,非必传
  ct: '', // 扩展id类型,非必传
  cu: 'none', // url记录,接口需decode,必传
  sc: 'nature_pc', // 推广渠道（来源code）,没有推广取相应默认值,必传
  ak: '', // 推广渠道扩展字段, 非必传
  oc: 'none', // 来源页code,必传
  ou: 'none', // 来源页url, 接口需decode,必传
  av: '1.4.2', // 版本号,必传
  rk: '' // 备注说明,非必传
}

// 页面code
export const PAGE_CODE = {
  defaultCode: 'none', // 默认页面code
  articleList: 'articleList', // 网站-社区-文章列表页 首页
  article: 'article', // 网站-社区-文章详情页
  videoList: 'videoList' // 网站-社区-视频列表页
}

// 入口code
export const ENTRANCE_CODE = {
  none: 'none', // 默认
  register: 'register', // 注册（顶部导航）
  complain: 'complain', // 投诉建议（底栏）
  like: 'like' // 关注房源
}

// 事件类型（详见备注）
export const EVENT_TYPE = {
  none: '', // 默认
  click: 'click', // 点击
  win: 'win', // 成功回调
  register: 'register', // 注册
  show: 'show', // 曝光
  stay: 'stay' // 停留
}

// 行为（见备注）
export const BEHAVIOR = {
  behaviorRegister: 'behaviorRegister', // 注册
  none: 'none' // 无
}

// 内容id类型
export const EXTENDS_ID_TYPE = {
  article: 'article', // 文章
  video: 'video' // 视频
}
/*--------------------------------统计相关--------------------------------*/

/*--------------------------------用户来源相关--------------------------------*/
export const PARAMS_USER_SOURCE = {
  oneEc: 'pc', // 一级入口
  twoEc: 'pc_bbs', // 二级入口
  threeEc: '', // 三级入口,赞为空
  ecContent: '', // 入口内容字段
  oneSc: 'nature', // 一级来源
  twoSc: 'nature_search', // 二级来源
  threeSc: '', // 三级来源
  scContent: '', // 来源内容字段
  shareCrmUid: '', // 分享管理端id
  shareUid: '' // 分享用户id
}
/*--------------------------------用户来源相关--------------------------------*/
