const protocol = typeof window === 'undefined' ? 'http://' : '//'
const baseURL = language => {
  let api = ''
  switch (process.env.APP_ENV) {
    case 'prod': {
      api = 'api.hoolihome.com'
      break
    }
    case 'ready': {
      api = 'readyapi.hoolihome.com'
      break
    }
    default: {
      api =
        language === 'java'
          ? 'testapi.hoolihome.com'
          : 'testapi.hoolihome.com:9082'
      break
    }
  }
  return protocol + api
}
const browserBaseURL = () => {
  switch (process.env.APP_ENV) {
    case 'prod': {
      return '//bbs.hoolihome.com'
    }
    case 'ready': {
      return '//readybbs.hoolihome.com'
    }
    case 'test': {
      return '//testbbs.hoolihome.com'
    }
    default: {
      return '//127.0.0.1:3004'
      // return '//devbbs.hoolihome.com:8692'
      // return '//testbbs.hoolihome.com:5380'
    }
  }
}
const wwwBaseURL = () => {
  switch (process.env.APP_ENV) {
    case 'prod': {
      return '//www.hoolihome.com'
    }
    case 'ready': {
      return '//readywww.hoolihome.com'
    }
    default: {
      return '//testwww.hoolihome.com'
    }
  }
}

export const phpURL = baseURL()
export const javaURL = baseURL('java')
export const browserURL = browserBaseURL()
export const wwwURL = wwwBaseURL()
