import qs from 'qs'
import { CODE_REQ_OK, CODE_NOT_LOGIN } from '~/common/c.js'
import { commonParams, paramsSign } from '~/common/net.js'
import { MyCookie } from '~/common/utils.js'

export default function({ app, params, store, req, redirect, $axios }) {
  // $axios.setHeader('Content-Type', 'application/x-www-form-urlencoded', [
  //   'post'
  // ])
  // $axios.setToken('www.hoolihome.com')
  $axios.onRequest(config => {
    let { locale, loginUserInfo } = store.state
    let { token } = loginUserInfo
    config.data = Object.assign({}, commonParams(locale, token), config.data)
    let flag = config.data.signNoNeed !== 'yes'
    delete config.data.signNoNeed
    if (flag) {
      config.data.signToken = paramsSign(config.data, config.url)
    }
    config.data = qs.stringify(config.data)
    // console.log('---$axios.onRequest--->', config)
  })
  $axios.onResponse(response => {
    // console.log('---$axios.onResponse--->', response)
    let { status } = response
    if (status === 200) {
      let { data } = response
      if (data) {
        let { code } = data
        code = parseInt(code)
        if (code === CODE_REQ_OK) {
          // console.log('req success')
        } else if (code === CODE_NOT_LOGIN) {
          // console.log('req fail, token Invalid')
          if (process.client) {
            alert(app.i18n.t('loginInvalid'))
            MyCookie.deleteCookie('loginUserInfo', true)
            window.location.reload()
          }
        }
      }
    } else {
      redirect(store.state.locale === 'cn' ? '/' : `/${locale}`)
    }
  })
  $axios.onError(error => {
    // console.log('---$axios.onError--->', error)
    if (error.code === 404) {
      redirect(store.state.locale === 'cn' ? '/' : `/${locale}`)
    } else if (error.code === 500) {
      redirect(store.state.locale === 'cn' ? '/' : `/${locale}`)
    }
  })
}
