import Vue from 'vue'
import { PAGE_CODE, EXTENDS_ID_TYPE, PARAMS_USER_SOURCE } from '~/common/c.js'
import { php_api_common_analytize } from '~/common/apis.js'
import { MyCookie, getPageCode } from '~/common/utils.js'

export default ({ app, store, params, route }, inject) => {
  inject(
    'hooliAnalysis',
    new Vue({
      methods: {
        userSourceParams() {
          const userSourceObj = PARAMS_USER_SOURCE
          const twoSc = MyCookie.getCookie('twoSc')
          if (twoSc) {
            userSourceObj.twoSc = twoSc
          }
          const { analytizeQuery } = store.state
          if (analytizeQuery.sourceCode) {
            if (
              analytizeQuery.sourceCode === 'bdpc' ||
              analytizeQuery.sourceCode === 'bdm'
            ) {
              userSourceObj.oneSc = 'adv'
              userSourceObj.twoSc = 'adv_baidu'
              userSourceObj.threeSc = 'adv_baidu_key'
              userSourceObj.scContent = analytizeQuery.utm_content || ''
            } else if (analytizeQuery.sourceCode === 'bdxxl') {
              userSourceObj.oneSc = 'adv'
              userSourceObj.twoSc = 'adv_baidu'
              userSourceObj.threeSc = 'adv_baidu_feeds'
              userSourceObj.scContent = analytizeQuery.utm_content || ''
            }
          } else {
            if (
              analytizeQuery.utm_source &&
              analytizeQuery.utm_source.indexOf('baidu') !== -1
            ) {
              userSourceObj.oneSc = 'adv'
              userSourceObj.twoSc = 'adv_baidu'
              userSourceObj.threeSc = 'adv_baidu_key'
              userSourceObj.scContent = analytizeQuery.utm_content || ''
            }
          }
          const shareCrmUid = MyCookie.getCookie('shareCrmUid')
          if (shareCrmUid) {
            userSourceObj.shareCrmUid = shareCrmUid
          }
          const shareUid = MyCookie.getCookie('shareUid')
          if (shareUid) {
            userSourceObj.shareUid = shareUid
          }
          return userSourceObj
        },
        upload(option, isStop = false) {
          store.commit('SET_ANALYZE_OBJ', option)
          if (isStop) {
            return false
          }
          let {
            loginUserInfo,
            citySelectObj,
            analytizeQuery,
            analyzeObj
          } = store.state
          analyzeObj = JSON.parse(JSON.stringify(analyzeObj))
          if (loginUserInfo && loginUserInfo.id) {
            analyzeObj.ui = loginUserInfo.id
          }
          if (citySelectObj && citySelectObj.id) {
            analyzeObj.ci = citySelectObj.id
          }
          if (
            analytizeQuery.utm_source &&
            analytizeQuery.utm_source.indexOf('baidu') !== -1
          ) {
            analyzeObj.sc = 'adv_baiduKey'
          }
          if (analytizeQuery.utm_content) {
            analyzeObj.ak = analytizeQuery.utm_content
          } else if (analytizeQuery.sourceCode) {
            analyzeObj.ak = analytizeQuery.sourceCode
          }
          analyzeObj.cu = encodeURIComponent(window.location.href)
          if (!analyzeObj.cc) {
            analyzeObj.cc = getPageCode(window.location.href)
          }
          analyzeObj.ou = MyCookie.getCookie('originUrl')
          analyzeObj.oc = MyCookie.getCookie('originUrlCode')

          if (analyzeObj.cc === PAGE_CODE.article) {
            analyzeObj.ct = EXTENDS_ID_TYPE.article
            analyzeObj.cv = params.articleId
          }

          {
            const params = {}
            for (let key in analyzeObj) {
              if (analyzeObj[key]) {
                params[key] = analyzeObj[key]
              }
            }
            const arr = []
            for (let key in params) {
              arr.push(`${key}=${params[key]}`)
            }
            app.$axios.$get(`${php_api_common_analytize}?${arr.join('&')}`)
          }
        }
      }
    })
  )
}
