import Vue from 'vue'
import VueLazyload from 'vue-lazyload'

Vue.use(VueLazyload, {
  filter: {
    webp(listener, options) {
      const isCDN = /hoolihome.com/
      const noJpg = /!nojpg/ // length 6
      if (noJpg.test(listener.src)) {
        listener.src = listener.src.slice(0, -6)
        return
      }
      if (isCDN.test(listener.src)) {
        const xoss = /x-oss/.test(listener.src) ? '' : '?x-oss-process=image'
        const quality = /quality/.test(listener.src) ? '' : '/quality,Q_80'
        const format = options.supportWebp ? 'webp' : 'jpg'
        // 绑定src手动添加 ?x-oss-process=image/resize,m_mfit,w_xxx,h_xxx
        // format 优先webp，次jpg
        // quality Q绝对质量
        // interlace 渐进显示 仅jpg有效
        const query = `${xoss}/format,${format}${quality}${
          format === 'jpg' ? '/interlace,1' : ''
        }`
        listener.src += query
      }
    }
  },
  // error: '',
  // loading: '',
  observer: true,
  lazyComponent: true
})
